<?php
/**
 * Classic Barbershop functions and definitions
 *
 * @package Classic Barbershop
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'classic_barbershop_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function classic_barbershop_setup() {
	global $classic_barbershop_content_width;
	if ( ! isset( $classic_barbershop_content_width ) )
		$classic_barbershop_content_width = 680;

	load_theme_textdomain( 'classic-barbershop', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 100,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'classic-barbershop' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	global $pagenow;

    if ( is_admin() && 'themes.php' === $pagenow && isset( $_GET['activated'] ) && current_user_can( 'manage_options' ) ) {
        add_action('admin_notices', 'classic_barbershop_deprecated_hook_admin_notice');
    }
}
endif; // classic_barbershop_setup
add_action( 'after_setup_theme', 'classic_barbershop_setup' );

function classic_barbershop_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a>";

        if (is_category() || is_single()) {
            the_category(' ');
            if (is_single()) {
                echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function classic_barbershop_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'classic-barbershop' ),
		'description'   => __( 'Appears on blog page sidebar', 'classic-barbershop' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'classic-barbershop' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'classic-barbershop' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'classic-barbershop' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'classic-barbershop' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	$classic_barbershop_widget_areas = get_theme_mod('classic_barbershop_footer_widget_areas', '4');
	for ($classic_barbershop_i=1; $classic_barbershop_i <= 4; $classic_barbershop_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'classic-barbershop' ) . $classic_barbershop_i,
			'id'            => 'footer-' . $classic_barbershop_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'classic-barbershop'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'classic-barbershop'),
		'id'            => 'woocommerce_sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'classic-barbershop'),
        'description'   => __('Sidebar for single product pages', 'classic-barbershop'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'classic-barbershop'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'classic-barbershop'),
		'id'            => 'woocommerce_sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'classic-barbershop'),
        'description'   => __('Sidebar for single product pages', 'classic-barbershop'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
}
add_action( 'widgets_init', 'classic_barbershop_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'classic_barbershop_loop_columns');
if (!function_exists('classic_barbershop_loop_columns')) {
    function classic_barbershop_loop_columns() {
        $colm = get_theme_mod('classic_barbershop_products_per_row', 4); // Default to 4 if not set
        return $colm;
    }
}

// Use the customizer setting to set the number of products per page
function classic_barbershop_products_per_page($cols) {
    $cols = get_theme_mod('classic_barbershop_products_per_page', 9); // Default to 9 if not set
    return $cols;
}
add_filter('loop_shop_per_page', 'classic_barbershop_products_per_page', 9);

function classic_barbershop_scripts() {

	wp_enqueue_style( 'bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('classic-barbershop-style', get_stylesheet_uri(), array() );
		wp_style_add_data('classic-barbershop-style', 'rtl', 'replace');

	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'classic-barbershop-style',$classic_barbershop_color_scheme_css );	
	wp_enqueue_style( 'owl.carousel-css', esc_url(get_template_directory_uri())."/css/owl.carousel.css" );
	wp_enqueue_style( 'classic-barbershop-default', esc_url(get_template_directory_uri())."/css/default.css" );	
	wp_enqueue_style( 'classic-barbershop-style', get_stylesheet_uri() );
	wp_enqueue_script( 'owl.carousel-js', esc_url(get_template_directory_uri()). '/js/owl.carousel.js', array('jquery') );
	wp_enqueue_script( 'bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'classic-barbershop-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'classic-barbershop-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );	
	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'classic_barbershop_animation_enabled', true ) ) {
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
	$classic_barbershop_headings_font = esc_html(get_theme_mod('classic_barbershop_headings_fonts'));
	$classic_barbershop_body_font = esc_html(get_theme_mod('classic_barbershop_body_fonts'));


	if ($classic_barbershop_headings_font) {
	    wp_enqueue_style('classic-barbershop-headings-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($classic_barbershop_headings_font));
	} else {
	    wp_enqueue_style('oswald-headings', 'https://fonts.googleapis.com/css?family=Oswald:wght@200;300;400;500;600;700');
	}

	if ($classic_barbershop_body_font) {
	    wp_enqueue_style('classic-barbershop-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($classic_barbershop_body_font));
	} else {
	    wp_enqueue_style('oswald-body', 'https://fonts.googleapis.com/css?family=Oswald:wght@200;300;400;500;600;700');
	}

}
add_action( 'wp_enqueue_scripts', 'classic_barbershop_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * select .
 */
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';
 
/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

function classic_barbershop_setup_theme() {
	if ( ! defined( 'CLASSIC_BARBERSHOP_PRO_NAME' ) ) {
		define( 'CLASSIC_BARBERSHOP_PRO_NAME', __( 'About Classic Barbershop', 'classic-barbershop' ));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_THEME_PAGE' ) ) {
	define('CLASSIC_BARBERSHOP_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_SUPPORT' ) ) {
	define('CLASSIC_BARBERSHOP_SUPPORT',__('https://wordpress.org/support/theme/classic-barbershop/','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_REVIEW' ) ) {
	define('CLASSIC_BARBERSHOP_REVIEW',__('https://wordpress.org/support/theme/classic-barbershop/reviews/','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_PRO_DEMO' ) ) {
	define('CLASSIC_BARBERSHOP_PRO_DEMO',__('https://live.theclassictemplates.com/classic-barbershop-pro/','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_PREMIUM_PAGE' ) ) {
	define('CLASSIC_BARBERSHOP_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/barber-wordpress-theme','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_THEME_DOCUMENTATION' ) ) {
	define('CLASSIC_BARBERSHOP_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/classic-barbershop-free/','classic-barbershop'));
	}
	if ( ! defined( 'CLASSIC_BARBERSHOP_BUNDLE_PAGE' ) ) {
		define('CLASSIC_BARBERSHOP_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','classic-barbershop'));
	}
}
add_action( 'after_setup_theme', 'classic_barbershop_setup_theme' );

// logo
if ( ! function_exists( 'classic_barbershop_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function classic_barbershop_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/* Activation Notice */
function classic_barbershop_deprecated_hook_admin_notice() {
    $classic_barbershop_theme = wp_get_theme();
    $classic_barbershop_dismissed = get_user_meta( get_current_user_id(), 'classic_barbershop_dismissable_notice', true );
    if ( !$classic_barbershop_dismissed) { ?>
        <div class="getstrat updated notice notice-success is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'classic-barbershop' ), esc_html($classic_barbershop_theme->get( 'Name' )), esc_html($classic_barbershop_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'classic-barbershop'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( CLASSIC_BARBERSHOP_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'classic-barbershop') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=classic-barbershop' )); ?>"><?php esc_html_e( 'Get started', 'classic-barbershop' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( CLASSIC_BARBERSHOP_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'classic-barbershop') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( CLASSIC_BARBERSHOP_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'classic-barbershop') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
				<a href="<?php echo esc_url( CLASSIC_BARBERSHOP_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
			</div>
        </div>
    <?php }
}